#pragma once

#include "stdafx.h"

class Projection;

class BitVector
{
public:
	BitVector() {this->bv = 0;}
	BitVector(__int64 bv) {this->bv = bv;}

	inline __int64 getBit(int no) const {return bv & (((__int64)1) << no);} 
	inline void setBit(int no) {bv |= (((__int64)1) << no);}
	inline operator __int64() {return bv;}

	void debugOutput(Projection* projection);

	__int64 bv;
};
